#
# spec file for package python-websocket-client
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# RHEL provides this backport in its own repository
%if 0%{?rhel} == 7
%define backports python-backports-ssl_match_hostname
%else
%define backports python-backports.ssl_match_hostname
%endif

Name:           python-websocket-client
Version:        0.32.0
Release:        5.1
Summary:        WebSocket client implementation
License:        LGPL-2.1
Group:          Development/Languages/Python
Url:            https://github.com/liris/websocket-client/releases
Source0:        https://pypi.python.org/packages/source/w/websocket-client/websocket_client-%{version}.tar.gz
BuildRequires:  %backports
BuildRequires:  python-setuptools
BuildRequires:  python-six
Requires:       %backports
Requires:       python
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
BuildRequires:  python-argparse
BuildRequires:  python-unittest2
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
websocket-client module  is WebSocket client for python. This provide the
low level APIs for WebSocket. All APIs are the synchronous functions.

websocket-client supports only hybi-13.

%package test
Summary:        Unit tests
Group:          Development/Languages/Python
Requires:       python-websocket-client = %{version}

%description test
Unit tests for websocket-client

%prep
%setup -q -n websocket_client-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# Use the system certs
rm %{buildroot}/%{python_sitelib}/websocket/cacert.pem

%check
python websocket/tests/test_websocket.py

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%dir %{python_sitelib}/websocket
%dir %{python_sitelib}/websocket_client-%{version}-py*.egg-info
%{_bindir}/wsdump.py
%exclude %{python_sitelib}/websocket/tests/
%{python_sitelib}/websocket/*
%{python_sitelib}/*egg-info/*

%files test
%defattr(-,root,root,-)
%dir %{python_sitelib}/websocket/tests
%{python_sitelib}/websocket/tests/*

%changelog
* Wed Oct 21 2015 dmueller@suse.com
- update to 0.32.0 (bsc#954486):
  - fix http proxy bug (#189)
  - Avoid deprecated BaseException.message (#180)
  - Add travis builds (#182)
  - fixed wsdump to work with piped input (#183)
  - fixed output of wsdump.py with python3 (#185)
  - add raw mode to wsdump.py (#186)
* Fri Jul 24 2015 seife+obs@b1-systems.com
- fix dependencies for RHEL/CentOS 7: they provide their own
  python-backports-ssl_match_hostname
* Thu May 14 2015 benoit.monin@gmx.fr
- update to version 0.30.0:
  * fixed if client is behind proxy (#169)
  * support SNI for python 2.7.9+ and 3.2+ (#172)
  * update Host HTTP header by user. (#171)
  * fix typo for isEnabledFor (#173)
  * can set verify_mode to CERT_NONE when check_hostname is
    enabled.(#175)
  * make websockets iterable (#178)
- additional changes from version 0.29.0
  * fixed ssl socket bug
- additional changes from version 0.28.0
  * Fix erroneous argument shadowing(#168)
- additional changes from version 0.27.0
  * remove unittest2 requirements for python 2.6 (#156)
  * fixed subprotocol case during header validation (#158)
  * get response status and headers (#160)
  * fix out-of-memory due to fragmentation when recieving a very
    large frame(#163)
  * fix error if the payload data is nothing.(#166)
  * refactoring.
- additional changes from version 0.26.0
  * all WebSocketException provide message string (#152)
  * fixed tests fail when not connected to the network (#155)
  * Add command line options and handle closed socket to wsdump.py
    (#153)
- additional changes from version 0.25.0
  * fixed for Python 2.6(#151)
- additional changes from version 0.24.0
  * Supporting http-basic auth in WebSocketApp (#143)
  * fix failer of test.testInternalRecvStrict(#141)
  * skip utf8 validation by skip_utf8_validation argument (#137)
  * WebsocketProxyException will be raised if we got error about
    proxy.(#138)
- drop fixTestTimeoutIssue.patch: fixed upstream
- point the source URL to pypi
- add new dependency python-backports.ssl_match_hostname
- fix archive name when calling %%setup
* Wed Feb 11 2015 rjschwei@suse.com
- Update fixTestTimeoutIssue.patch to handle different behavior between
  python 2.7.x versions
* Tue Feb 10 2015 rjschwei@suse.com
- Add fixTestTimeoutIssue.patch
  + fixes test case in factory
* Sun Feb  8 2015 rjschwei@suse.com
- Update to version 0.23.0
  - Remove spurious print statement. (#135)
  - Fix not thread-safe of Websocket.close() (#120)
  - Try to get proxy info from environment if not explicitly provided (#124)
  - support proxy basic authenticaiton. (#125)
  - Fix NoneType exception at WebsocketApp.send (#126)
  - not use proxy for localhost (#132)
  - Check for socket before attempting to close (#115)
  - Enable turning off SSL verification in wsdump.py(#116)
  - Enable to set subprotocol(#118)
  - Better support for Autobahn test suite (http://autobahn.ws/testsuite) (#117)  - suppress close event message(#107)
  - detect socket connection state(#109)
  - support for code and reason in on_close callback(#111)
  - continuation frame handling seems suspicious(#113)
* Thu Oct  2 2014 toddrme2178@gmail.com
- Update to version 0.18.0
  - allow override of match_hostname usage on ssl (#105)
- Update to version 0.17.0
  - can't set timeout on a standing websocket connection (#102)
  - fixed local variable 'error' referenced before assignment (#102, #98)
- Update to version 0.16.0
  - lock some method for multithread. (#92)
  - disable cert verification. (#89)
- Remove upstreamed webSoc_useSystemCert.patch
* Mon Jun 23 2014 rschweikert@suse.com
- Simplify conditionals in spec file
- Fix patch webSoc_useSystemCert.patch, eliminate tab use spaces
* Mon Jun 16 2014 rschweikert@suse.com
- Clean up spec file
* Sat Jun  7 2014 rschweikert@suse.com
- Add Group to sub package, fixes build for SLE 11
* Fri Jun  6 2014 rschweikert@suse.com
- Include in SLE 12 (FATE #316168)
* Thu Jun  5 2014 rschweikert@suse.com
- Fix upstream URL, point to github (development) rather than pypy
* Thu Jun  5 2014 rschweikert@suse.com
- Initial build
